> ## Documentation Index
> Fetch the complete documentation index at: https://docs.buildwithchirp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update app

> Update an app's configuration



## OpenAPI

````yaml /openapi.json put /v1/organization/apps/{appId}
openapi: 3.1.0
info:
  version: 1.0.0
  title: Chirp API
  description: Communication APIs for SMS, MMS, and WhatsApp messaging
servers:
  - url: https://api.buildwithchirp.com
security: []
paths:
  /v1/organization/apps/{appId}:
    put:
      tags:
        - Admin
        - Apps
      parameters:
        - schema:
            type: string
            pattern: ^app_(?:test_)?[a-zA-Z0-9]{27}$
            example: app_2DbBs7GWhGvVNJGrDXr5RG0mBWI
            description: 'Unique identifier for a App. Format: app_[test_]{ksuid}'
          required: true
          description: 'Unique identifier for a App. Format: app_[test_]{ksuid}'
          name: appId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAppRequest'
      responses:
        '200':
          description: Update app configuration
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppResponse'
        '404':
          description: App not found
      security:
        - adminAuth: []
components:
  schemas:
    UpdateAppRequest:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          example: Updated App Name
          description: Human-readable name of the app
    AppResponse:
      type: object
      properties:
        id:
          type: string
          pattern: ^app_(?:test_)?[a-zA-Z0-9]{27}$
          example: app_2DbBs7GWhGvVNJGrDXr5RG0mBWI
          description: 'Unique identifier for a App. Format: app_[test_]{ksuid}'
        slug:
          type: string
          example: my-app
          description: App slug identifier
        name:
          type: string
          example: My App
          description: Human-readable name of the app
        status:
          type: string
          enum:
            - active
            - billing_paused
          example: active
          description: App status
        createdAt:
          type: string
          format: date-time
          example: '2021-08-01T00:00:00Z'
          description: When the app was created
        updatedAt:
          type: string
          format: date-time
          example: '2021-08-01T00:00:00Z'
          description: When the app was last updated
      required:
        - id
        - slug
        - name
        - status
        - createdAt
        - updatedAt
  securitySchemes:
    adminAuth:
      type: http
      scheme: bearer
      description: 'Admin API key (format: sk_admin_*) for organization-level operations'

````